DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# Floor

Arithmetic function

## SYNOPSIS

`#include "dip_math.h"`

dip_Error dip_Floor ( in, out )

## DATA TYPES

binary, integer, float

## FUNCTION

Computes the floor of the input image values, and outputs a signed integer typed image.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input
`dip_Image` | `out` | Output

## SEE ALSO

`Abs`, `Ceil`, `Sign`, `Truncate`, `Fraction`, `NearestInt`

DIPlib on-line documentation | Function reference | Global function index